/*
 *  GNUTU
 *  version 2.1
 *  Copyright (C) 2004-2005 Marcin Krystian Krzywonos
 *  http://www.gnutu.org
 *
 *  License: GNU/GPL, version 2
 */


using Gtk;
using GLib;
using System.IO;
using gnutu.GUI;


public class App {
	public static void Main (string[] args)
	{
		FilesPaths.CheckHomeDir ();
		
		Application.Init ();
		
		// Loading translate
		Mono.Unix.Catalog.Init ("gnutu", gnutu.Defines.LocaleDir);

		// Check First start
		if (System.IO.File.Exists (FilesPaths.DbFile ()) == false) {
			FirstStartWindow fs = new FirstStartWindow ();
			fs.Window.Show ();
		} else {
			MainWindow mw = new MainWindow ();
			mw.Window.Show ();
		}


		Application.Run ();
	}
}
